# PeripheryPayments

## Variables

### address WNativeToken immutable

## Functions

### receive

`receive() external payable` payable external

### unwrapWNativeToken

`function unwrapWNativeToken(uint256 amountMinimum, address recipient) external payable` payable external

Unwraps the contract's WNativeToken balance and sends it to recipient as NativeToken. *Developer note: The amountMinimum parameter prevents malicious contracts from stealing WNativeToken from users.*

| Name          | Type    | Description                                  |
| ------------- | ------- | -------------------------------------------- |
| amountMinimum | uint256 | The minimum amount of WNativeToken to unwrap |
| recipient     | address | The address receiving NativeToken            |

### sweepToken

`function sweepToken(address token, uint256 amountMinimum, address recipient) external payable` payable external

Transfers the full amount of a token held by this contract to recipient *Developer note: The amountMinimum parameter prevents malicious contracts from stealing the token from users*

| Name          | Type    | Description                                                                  |
| ------------- | ------- | ---------------------------------------------------------------------------- |
| token         | address | The contract address of the token which will be transferred to \`recipient\` |
| amountMinimum | uint256 | The minimum amount of token required for a transfer                          |
| recipient     | address | The destination address of the token                                         |

### refundNativeToken

`function refundNativeToken() external payable` payable external

Refunds any NativeToken balance held by this contract to the \`msg.sender\` *Developer note: Useful for bundling with mint or increase liquidity that uses ether, or exact output swaps that use ether for the input amount*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.9/v1.9-tokenomics/peripherypayments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
